PDF2SVG(1)

NAME
pdf2svg - PDF to SVG convertor

SYNOPSIS
pdf2svg pdffile svgfile [page number]

DESCRIPTION
pdf2svg is a tiny command-line utility using Cairo and Poppler to convert PDF documents into SVG files. Multi-page PDF can be split up to one SVG per page by passing a file naming specification.

The program does not follow the usual GNU command line syntax.

The first argument is the source PDF file, the second argument is the filename of the output SVG file (or a specification, see below for details).

OPTIONS
The third parameter is optional and serves as a page selector. If omitted it defaults to the first page of the passed PDF. If passed it must be a valid page label (typically it is a value such as "iii" or "3").

  all
This special selector causes the program to iterate over all pages in the PDF. Because it cannot save multiple pages into one single SVG the second parameter is expected to contain a sensible file specification:

pdf2svg document.pdf output-page%d.svg all

The usual format modificators work as well: output-page%02d.svg will give you output-page00.svg, output-page01.svg, etc.

AUTHOR
pdf2svg was written by David Barton <davebarton@cityinthesky.co.uk> and Matthew Flaschen <matthew.flaschen@gatech.edu>.

This manual page was written by Philipp Kern <pkern@debian.org>, for the Debian project (but may be used by others).